Package org.apache.groovy.util

# Class Arrays

java.lang.Object
org.apache.groovy.util.Arrays

public class Arrays extends Object
Array utilities.

Since:
  3.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T[]`
  `concat(T[]... arrays)`
  Concatenate arrays and ignore null array

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### concat

    public static <T> T[] concat(T[]... arrays)
    Concatenate arrays and ignore null array
    Type Parameters:
      `T` - array component type
    Parameters:
      `arrays` - arrays to merge
    Returns:
      the concatenated array